//=============================================================================
// TGUIAdminMenu
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Admin menu for Tournament games.
//=============================================================================


class TGUIAdminMenu extends GUIPage;


//=============================================================================
// Localization
//=============================================================================

var localized string PlayersPanelCaption;
var localized string SettingsPanelCaption;

var localized string PlayersPanelHint;
var localized string SettingsPanelHint;


//=============================================================================
// Variables
//=============================================================================

var TGUIAdminPanel PlayersPanel;
var TGUIAdminPanel SettingsPanel;


//=============================================================================
// InitComponent
//
// Add tab panels.
//=============================================================================

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
  Super.InitComponent(MyController, MyOwner);
  GUITabControl(Controls[3]).AddTab(PlayersPanelCaption,  "", PlayersPanel,  PlayersPanelHint);
  GUITabControl(Controls[3]).AddTab(SettingsPanelCaption, "", SettingsPanel, SettingsPanelHint);
  
  if ( PlayerOwner().MyHud != None ) {
    PlayerOwner().MyHud.bShowScoreBoard = False;
    PlayerOwner().MyHud.bShowLocalStats = False;
  }
}


//=============================================================================
// CloseButtonClicked
//
// Closes the config dialog window.
//=============================================================================

function bool CloseButtonClicked(GUIComponent Sender)
{
  Controller.CloseMenu(false);
  
  return True;
}


//=============================================================================
// ChangedTab
//
// Update the title bar caption.
//=============================================================================

function ChangedTab(GUIComponent Sender)
{
  if ( GUITabButton(Sender) != None )
    GUILabel(Controls[1]).Caption = GUILabel(default.Controls[1]).Caption @ "|" @ GUITabButton(Sender).Caption;
}


//=============================================================================
// ChangeHint
//
// Change the displayed hint.
//=============================================================================

event ChangeHint(string NewHint)
{
  GUILabel(Controls[2]).Caption = NewHint;
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  Begin Object Class=GUIImage name=DialogBackground
    bAcceptsInput=false
    bNeverFocus=true
    Image=Material'InterfaceContent.Menu.EditBox'
    ImageStyle=ISTY_Stretched
    WinWidth=1
    WinLeft=0
    WinHeight=1
    WinTop=0
    bBoundToParent=true
    bScaleToParent=true
  End Object
  Controls(0)=GUIImage'DialogBackground'
  
  Begin Object Class=GUILabel name=DialogCaption
    Caption="Tournament Admin Options"
    TextFont="UT2HeaderFont"
    WinWidth=0.96
    WinHeight=0.07
    WinTop=0.01
    WinLeft=0.02
    bAcceptsInput=False
    bNeverFocus=True
    bBoundToParent=True
    bScaleToParent=True
  End Object
  Controls(1)=GUILabel'DialogCaption'
  
  Begin Object Class=GUILabel name=HintLabel
    WinWidth=0.8
    WinHeight=0.07
    WinTop=0.93
    WinLeft=0.01
    TextAlign=TXTA_Center
    bAcceptsInput=False
    bNeverFocus=True
    bBoundToParent=True
    bScaleToParent=True
  End Object
  Controls(2)=GUILabel'HintLabel'
  
  Begin Object Class=GUITabControl name=AdminTabs
    WinWidth=0.95
    WinHeight=0.1
    WinTop=0.995
    WinLeft=0.025
    TabHeight=0.04
    bDockPanels=False
    bFillSpace=False
    OnChange=ChangedTab
    bBoundToParent=True
    bScaleToParent=True
  End Object
  Controls(3)=GUITabControl'AdminTabs'
  
  Begin Object Class=GUIButton name=CloseButton
    Caption="Close"
    Hint="Close the Admin Options menu."
    WinWidth=0.18
    WinHeight=0.04
    WinTop=0.94
    WinLeft=0.81
    OnClick=CloseButtonClicked
    bBoundToParent=True
    bScaleToParent=True
  End Object
  Controls(4)=GUIButton'CloseButton'
  
  Begin Object Class=TGUIAdminPanelPlayers name=TabPanelPlayers
  End Object
  PlayersPanel=TGUIAdminPanelPlayers'TabPanelPlayers'
  
  Begin Object Class=TGUIAdminPanelSettings name=TabPanelSettings
  End Object
  SettingsPanel=TGUIAdminPanelSettings'TabPanelSettings'
  
  PlayersPanelCaption="Players"
  SettingsPanelCaption="Settings"
  
  PlayersPanelHint="View player list and kick or ban players."
  SettingsPanelHint="Change server settings available in webadmin."
  
  WinLeft=0.05
  WinTop=0.1
  WinWidth=0.9
  WinHeight=0.8
  bAllowedAsLast=True
}