//=============================================================================
// TGUISettingsPanelServerBase
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Panel for serverside options in the Tournament settings dialog box.
//=============================================================================


class TGUISettingsPanelServerBase extends TGUISettingsPanel;


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  Begin Object class=TGUILabeledSlider Name=SpawnProtectionTime
    WinWidth=0.4
    WinLeft=0.05
    WinTop=0.0
    WinHeight=0.17
    Caption="Spawn Protection Time"
    bIntegerOnly=True
    MinValue=0
    MaxValue=30
    Hint="Players are protected unless they start firing."
  End Object
  Controls(0)=TGUILabeledSlider'SpawnProtectionTime'
  
  Begin Object Class=TGUILabeledSlider Name=WarmupTime
    Caption="Warmup Time"
    WinWidth=0.4
    WinLeft=0.05
    WinTop=0.18
    WinHeight=0.17
    bIntegerOnly=True
    MinValue=1
    MaxValue=15
    Hint="Maximum time to wait for players' ready signals."
  End Object
  Controls(1)=TGUILabeledSlider'WarmupTime'
  
  Begin Object class=GUILabel Name=WarmupLabel
    WinWidth=0.3
    WinHeight=0.07
    WinLeft=0.1
    WinTop=0.40
    Caption="Warmup"
    TextALign=TXTA_Center
    TextColor=(R=255,G=255,B=255,A=255)
  End Object
  Controls(2)=GUILabel'WarmupLabel'
  
  Begin Object Class=moCheckBox Name=WarmupWeapons
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.05
    WinTop=0.36
    Caption=" Weapons"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    bFlipped=True
    LabelJustification=TXTA_Right
    Hint="All map weapons during warmup."
  End Object
  Controls(3)=moCheckbox'WarmupWeapons'
  
  Begin Object Class=moCheckBox Name=WarmupAmmo
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.05
    WinTop=0.44
    Caption=" Ammo"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    bFlipped=True
    LabelJustification=TXTA_Right
    Hint="Full Ammo (999) during warmup."
  End Object
  Controls(4)=moCheckbox'WarmupAmmo'
  
  Begin Object Class=moCheckBox Name=WarmupHealth
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.25
    WinTop=0.36
    Caption=" Health"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    LabelJustification=TXTA_Right
    Hint="Full health (199) during warmup."
  End Object
  Controls(5)=moCheckbox'WarmupHealth'
  
  Begin Object Class=moCheckBox Name=WarmupShield
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.25
    WinTop=0.44
    Caption=" Shield"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    LabelJustification=TXTA_Right
    Hint="Full shield (150) during warmup."
  End Object
  Controls(6)=moCheckbox'WarmupShield'
  
  Begin Object Class=moCheckBox Name=EnableNickFiltering
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.05
    WinTop=0.56
    Caption="Nick Name Filtering"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Whether nick names must contain alphanumeric characters."
  End Object
  Controls(7)=moCheckbox'EnableNickFiltering'
  
  Begin Object Class=TGUILabeledSlider Name=MinNameLength
    Caption="Minimum Nick Name Length"
    WinWidth=0.4
    WinLeft=0.05
    WinTop=0.64
    WinHeight=0.17
    bIntegerOnly=True
    MinValue=1
    MaxValue=5
    Hint="Minimum length of player names."
  End Object
  Controls(8)=TGUILabeledSlider'MinNameLength'
  
  Begin Object Class=TGUILabeledSlider Name=SkinGlow
    Caption="Skin Glow"
    WinWidth=0.4
    WinLeft=0.05
    WinTop=0.82
    WinHeight=0.17
    bIntegerOnly=True
    MinValue=0
    MaxValue=200
    Hint="Brightens up skins. UT2003 default is 40."
  End Object
  Controls(9)=TGUILabeledSlider'SkinGlow'
  
  Begin Object Class=moCheckBox Name=WeaponModifications
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.00
    Caption="Weapon Modifications"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Enable this to fix some weapon bugs."
  End Object
  Controls(10)=moCheckbox'WeaponModifications'
  
  Begin Object Class=moCheckBox Name=WeaponViewShake
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.08
    Caption="Weapon View Shake"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Enable view shakes when firing a weapon."
  End Object
  Controls(11)=moCheckbox'WeaponViewShake'
  
  Begin Object Class=moCheckBox Name=DisableLockdown
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.16
    Caption="Disable Lockdown"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Disables the lockdown effect of certain weapons."
  End Object
  Controls(12)=moCheckbox'DisableLockdown'
  
  Begin Object Class=moCheckBox Name=AllowHitSounds
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.24
    Caption="Allow HitSounds"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Uncheck to disable hitsounds serverside."
  End Object
  Controls(13)=moCheckbox'AllowHitSounds'
  
  Begin Object Class=moCheckBox Name=AllowVariableHitSounds
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.32
    Caption="Variable HitSound Pitch"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Uncheck to disable variable hitsound pitch serverside."
  End Object
  Controls(14)=moCheckbox'AllowVariableHitSounds'
  
  Begin Object Class=moCheckBox Name=AutoServerDemos
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.40
    Caption="Server Demo Recording"
    CaptionWidth=0.9
    bSquare=true
    MenuState=MSAT_Disabled
    bHeightFromComponent=False
    Hint="Automatically record server demos."
  End Object
  Controls(15)=moCheckbox'AutoServerDemos'
  
  Begin Object Class=moCheckBox Name=BroadcastUDamageKills
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.48
    Caption="Report UDamage Kills"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Death messages display whether Double Damage was used."
  End Object
  Controls(16)=moCheckbox'BroadcastUDamageKills'
  
  Begin Object Class=moCheckBox Name=NoHudClock
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.56
    Caption="Disallow HUD Clock"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Prevents clients from using the HUD clock."
  End Object
  Controls(17)=moCheckbox'NoHudClock'
  
  Begin Object Class=moCheckBox Name=AllowCarrierTelefrags
    WinWidth=0.4
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.64
    Caption="Allow Carrier Telefrags"
    CaptionWidth=0.9
    bSquare=true
    bHeightFromComponent=False
    Hint="Allows telefrags against the flag or bomb carrier."
  End Object
  Controls(18)=moCheckbox'AllowCarrierTelefrags'
  
  Begin Object class=GUILabel Name=CombosLabel
    WinWidth=0.3
    WinHeight=0.07
    WinLeft=0.6
    WinTop=0.76
    Caption="Combos"
    TextALign=TXTA_Center
    TextColor=(R=255,G=255,B=255,A=255)
  End Object
  Controls(19)=GUILabel'CombosLabel'
  
  Begin Object Class=moCheckBox Name=ComboBerserk
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.72
    Caption=" Berserk"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    bFlipped=True
    LabelJustification=TXTA_Right
    Hint="Allow Berserk adrenaline combo."
  End Object
  Controls(20)=moCheckbox'ComboBerserk'
  
  Begin Object Class=moCheckBox Name=ComboBooster
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.55
    WinTop=0.80
    Caption=" Booster"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    bFlipped=True
    LabelJustification=TXTA_Right
    Hint="Allow Booster adrenaline combo."
  End Object
  Controls(21)=moCheckbox'ComboBooster'
  
  Begin Object Class=moCheckBox Name=ComboInvisible
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.75
    WinTop=0.72
    Caption=" Invisible"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    LabelJustification=TXTA_Right
    Hint="Allow Invisible adrenaline combo."
  End Object
  Controls(22)=moCheckbox'ComboInvisible'
  
  Begin Object Class=moCheckBox Name=ComboSpeed
    WinWidth=0.2
    WinHeight=0.07
    WinLeft=0.75
    WinTop=0.80
    Caption=" Speed"
    CaptionWidth=0.8
    bSquare=true
    bHeightFromComponent=False
    LabelJustification=TXTA_Right
    Hint="Allow Speed adrenaline combo."
  End Object
  Controls(23)=moCheckbox'ComboSpeed'
}