//=============================================================================
// TStatsAssaultFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsAssaultFire extends AssaultFire;


//=============================================================================
// ModeDoFire
//
// Track weapon stats.
//=============================================================================

event ModeDoFire()
{
  if ( TStatsAssaultRifle(Weapon) == None || !TStatsAssaultRifle(Weapon).bModifiedFiringModes )
    Super.ModeDoFire();
  else {
    if ( Level.TimeSeconds - LastFireTime > 0.2 )
      Spread = Default.Spread;
    else
      Spread = FMin(Spread + 0.01, 0.1);
    LastFireTime = Level.TimeSeconds;
    Super(InstantFire).ModeDoFire();
  }
}


//=============================================================================
// DoTrace
//
// Track weapon stats.
//=============================================================================

function DoTrace(vector Start, rotator Dir)
{
  local vector X, End, HitLocation, HitNormal;
  local Actor Other;
  local int Damage;
  
  class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, class'AssaultRifle', 0);
  X = vector(Dir);
  End = Start + TraceRange * X;
  Other = Trace(HitLocation, HitNormal, End, Start, true);
  
  if ( Other != None && Other != Instigator ) {
    if ( !Other.bWorldGeometry ) {
      Damage = DamageMin;
      if ( DamageMin != DamageMax && FRand() > 0.5 )
        Damage += Rand(1 + DamageMax - DamageMin);
      Damage *= DamageAtten;
      if ( Pawn(Other) != None && Pawn(Other).Controller != None && Pawn(Other).Controller.bIsPlayer )
        class'TournamentWeaponStats'.static.IncrementHits(Instigator.Controller, class'AssaultRifle', 0, -1);
      if ( TournamentPawn(Other) != None )
        TournamentPawn(Other).NextDamageMode = 0;
      Other.TakeDamage(Damage, Instigator, HitLocation, Momentum * X, DamageType);
      HitNormal = vect(0,0,0);
    }
    else if ( WeaponAttachment(Weapon.ThirdPersonActor) != None )
      WeaponAttachment(Weapon.ThirdPersonActor).UpdateHit(Other, HitLocation, HitNormal);
  }
  else {
    HitLocation = End;
    HitNormal = vect(0,0,0);
  }
  
  SpawnBeamEffect(Start, Dir, HitLocation, HitNormal, 0);
}
