//=============================================================================
// TStatsFlakFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsFlakFire extends FlakFire;


//=============================================================================
// Variables
//=============================================================================

var float LastFireTime;                 // save last fire time
var int LastID;                         // temporary storage space for the chunk GroupID


//=============================================================================
// SpawnProjectile
//
// Track weapon stats.
//=============================================================================

function Projectile SpawnProjectile(vector Start, rotator Dir)
{
  local Projectile p;
  
  if ( LastFireTime != Level.TimeSeconds ) {
    LastFireTime = Level.TimeSeconds;
    LastID = class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, Weapon.Class, 0);
  }
  p = Super.SpawnProjectile(Start, Dir);
  if ( TStatsFlakChunk(p) != None ) {
    TStatsFlakChunk(p).GroupID = LastID;
    TStatsFlakChunk(p).ModeNum = 0;
  }
  return p;
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  ProjectileClass=class'TStatsFlakChunk'
}
