//=============================================================================
// TStatsFlakWallExplosion
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Emitter that creates an explosion effect with a smoke ring.
//=============================================================================


class TStatsFlakWallExplosion extends TStatsRocketWallExplosion;


//=============================================================================
// PostBeginPlay
//
// Handle low framerate conditions.
//=============================================================================

simulated event PostBeginPlay()
{
  Emitters[0].Acceleration.Z = 120;
  
  if ( Level.bDropDetail )
    LightRadius = 6;
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  LifeSpan=2.0
  LightSaturation=100
  LightRadius=8
  RemoteRole=ROLE_None
  
  Begin Object Class=SpriteEmitter Name=FlashExplosion
    FadeOutStartTime=0.000000
    FadeOut=True
    RespawnDeadParticles=False
    SpinParticles=True
    StartSpinRange=(X=(Max=65535.000000),Y=(Max=65535.000000),Z=(Max=65535.000000))
    UseSizeScale=True
    UseRegularSizeScale=False
    SizeScale(0)=(RelativeSize=0.700000)
    SizeScale(2)=(RelativeTime=1.000000,RelativeSize=2.000000)
    StartSizeRange=(X=(Min=90.000000,Max=90.000000),Y=(Min=90.000000,Max=90.000000),Z=(Min=90.000000,Max=90.000000))
    UniformSize=True
    MaxParticles=1
    InitialParticlesPerSecond=1000.000000
    AutomaticInitialSpawning=False
    Texture=Texture'ExplosionFlashTex'
    LifetimeRange=(Min=0.25,Max=0.25)
    StartVelocityRadialRange=(Min=-15.000000,Max=-5.000000)
    VelocityLossRange=(X=(Min=2.000000,Max=2.500000),Y=(Min=2.000000,Max=2.500000),Z=(Min=2.000000,Max=2.500000))
    GetVelocityDirectionFrom=PTVD_AddRadial
  End Object
  Emitters(2)=SpriteEmitter'FlashExplosion'
}