//=============================================================================
// TStatsLinkProjectile
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsLinkProjectile extends LinkProjectile;


//=============================================================================
// Variables
//=============================================================================

var bool bCanHitInstigator;


//=============================================================================
// PostBeginPlay
//
// Set InstigatorController.
//=============================================================================

simulated function PostBeginPlay()
{
  Super.PostBeginPlay();
  if ( Instigator != None && Instigator.Controller != None )
    InstigatorController = Instigator.Controller;
  
  SetTimer(0.5, False);
}


//=============================================================================
// Timer
//
// Allow instigator hits.
//=============================================================================

simulated function Timer()
{
  bCanHitInstigator = True;
}


//=============================================================================
// ProcessTouch
//
// Allow instigator hits.
//=============================================================================

simulated function ProcessTouch(Actor Other, vector HitLocation)
{
  local vector X, RefNormal, RefDir;
  //local float LockdownFactor;
  local Projectile P;
  
  if ( Other == Instigator && !bCanHitInstigator)
    return;
  
  if ( Other.IsA('xPawn') && xPawn(Other).CheckReflect(HitLocation, RefNormal, Damage * 0.25) ) {
    if ( Role == ROLE_Authority ) {
      X = Normal(Velocity);
      RefDir = RefNormal;
      P = Spawn(Class, Other,, HitLocation + RefDir * 20, rotator(RefDir));
    }
    Destroy();
  }
  else if ( !Other.IsA('Projectile') || Other.bProjTarget ) {
    if ( Role == ROLE_Authority ) {
      if ( Pawn(Other) != None ) {
        if ( Instigator == None )
          Pawn(Other).DelayedDamageInstigatorController = InstigatorController;
        if ( Pawn(Other).Controller != None && Pawn(Other).Controller.bIsPlayer )
          class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'LinkGun', 0, -1);
        if ( TournamentPawn(Other) != None )
          TournamentPawn(Other).NextDamageMode = 0;
      }
      /*if ( DeathMatch(Level.Game) != None )
        LockdownFactor = DeathMatch(Level.Game).LinkLockdownFactor;
      else
        LockdownFactor = 1;*/
      Other.TakeDamage(Damage * (1.0 + float(Links)), Instigator, HitLocation,
          /*LockdownFactor */ MomentumTransfer * (1.0 + float(Links) * 0.25) * Normal(Velocity),
          MyDamageType);
    }
    Explode(HitLocation, vect(0,0,1));
  }
}
