//=============================================================================
// TStatsRedeemerFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsRedeemerFire extends RedeemerFire;


//=============================================================================
// SpawnProjectile
//
// Track weapon stats.
//=============================================================================

function Projectile SpawnProjectile(vector Start, rotator Dir)
{
  local Projectile p;
  local int GroupId;
  
  GroupID = class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, Weapon.Class, 0);
  
  p = Super(ProjectileFire).SpawnProjectile(Start, Dir);
  if ( p == None )
    p = Super(ProjectileFire).SpawnProjectile(Instigator.Location,Dir);
  if ( p == None ) {
    Spawn(class'SmallRedeemerExplosion');  
    if ( class'TournamentUtil'.static.StatsHurtRadius(Self, 500, 400, class'DamTypeRedeemer', 100000,
        Instigator.Location, 0) )
      class'TournamentWeaponStats'.static.IncrementHits(Instigator.Controller, Weapon.Class, 0, GroupID);
  }
  else if ( TStatsRedeemerProjectile(p) != None )
    TStatsRedeemerProjectile(p).GroupID = GroupID;
  return p;
}

defaultproperties
{
  ProjectileClass=class'TStatsRedeemerProjectile'
}
