//=============================================================================
// TStatsRedeemerGuidedFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsRedeemerGuidedFire extends RedeemerGuidedFire;


//=============================================================================
// SpawnProjectile
//
// Track weapon stats.
//=============================================================================

function Projectile SpawnProjectile(vector Start, rotator Dir)
{
  local TStatsRedeemerWarhead Warhead;
  local PlayerController Possessor;
  local int GroupID;
  
  GroupID = class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, Weapon.Class, 1);
  
  Warhead = Spawn(class'TStatsRedeemerWarhead', Instigator,, Start, Dir);
  if ( Warhead == None )
    Warhead = Spawn(class'TStatsRedeemerWarhead', Instigator,, Instigator.Location, Dir);
  if ( Warhead != None ) {
    Warhead.OldPawn = Instigator;
    Warhead.PlaySound(FireSound);
    Possessor = PlayerController(Instigator.Controller);
    Possessor.bAltFire = 0;
    if ( Possessor != None ) {
      if ( Instigator.InCurrentCombo() )
        Possessor.Adrenaline = 0;
      Possessor.UnPossess();
      Instigator.SetOwner(Possessor);
      Instigator.PlayerReplicationInfo = Possessor.PlayerReplicationInfo;
      Possessor.Possess(Warhead);
    }
    Warhead.Velocity = Warhead.AirSpeed * vector(Warhead.Rotation);
    Warhead.Acceleration = Warhead.Velocity;
    WarHead.MyTeam = Possessor.PlayerReplicationInfo.Team;
    WarHead.GroupID = GroupID;
  }
  else {
    Spawn(class'SmallRedeemerExplosion');  
    if ( class'TournamentUtil'.static.StatsHurtRadius(Self, 500, 400, class'DamTypeRedeemer', 100000,
        Instigator.Location, 1) )
      class'TournamentWeaponStats'.static.IncrementHits(Instigator.Controller, Weapon.Class, 1, GroupID);
  }
  
  bIsFiring = false;
  StopFiring();
  return None;
}
