//=============================================================================
// TStatsRedeemerWarhead
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsRedeemerWarhead extends RedeemerWarhead;


//=============================================================================
// Variables
//=============================================================================

var int GroupID;
var Controller InstigatorController;


//=============================================================================
// PostBeginPlay
//
// Set InstigatorController.
//=============================================================================

simulated function PostBeginPlay()
{
  Super.PostBeginPlay();
  if ( Instigator != None && Instigator.Controller != None )
    InstigatorController = Instigator.Controller;
}


//=============================================================================
// TakeDamage
//
// Redeemer explodes when taking damage.
//=============================================================================

function TakeDamage(int Damage, Pawn InstigatedBy, vector HitLocation, vector Momentum, class<DamageType> DamageType) 
{
  if ( Damage > 0 ) {
    if ( InstigatedBy == None )
      BlowUp(Location);
    else {
      Spawn(class'SmallRedeemerExplosion');
      RelinquishController();
      SetCollision(false, false, false);
      if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 0.125, MyDamageType,
          MomentumTransfer, Location, 1) )
        class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
      Destroy();
    }
  }
}


//=============================================================================
// state Dying
//
// Large redeemer explosion.
//=============================================================================

state Dying
{
Begin:
  Instigator = self;
  if ( Controller != None )
    InstigatorController = Controller;
  PlaySound(sound'WeaponSounds.redeemer_explosionsound');
  if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 0.125, MyDamageType,
      MomentumTransfer, Location, 1) )
    class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
  Sleep(0.5);
  if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 0.300, MyDamageType,
      MomentumTransfer, Location, 1) )
    class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
  Sleep(0.2);
  if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 0.475, MyDamageType,
      MomentumTransfer, Location, 1) )
    class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
  Sleep(0.2);
  if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 0.650, MyDamageType,
      MomentumTransfer, Location, 1) )
    class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
  Sleep(0.2);
  if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 0.825, MyDamageType,
      MomentumTransfer, Location, 1) )
    class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
  Sleep(0.2);
  if ( class'TournamentUtil'.static.StatsHurtRadius(Self, Damage, DamageRadius * 1.000, MyDamageType,
      MomentumTransfer, Location, 1) )
    class'TournamentWeaponStats'.static.IncrementHits(InstigatorController, class'Redeemer', 1, GroupID);
  Destroy();
}
