//=============================================================================
// TStatsRocketFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Rocket fire.
//=============================================================================


class TStatsRocketFire extends RocketFire;


//=============================================================================
// SpawnProjectile
//
// Track weapon stats.
//=============================================================================

function Projectile SpawnProjectile(Vector Start, Rotator Dir)
{
  local TStatsRocketProj p;
  local Bot B;
  
  class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, Weapon.Class, 0);
  class'TournamentUtil'.static.AdjustDir(Self, Dir, Start, 10000);
  RocketLauncher(Weapon).bBreakLock = true;
  
  // decide if bot should be locked on
  B = Bot(Instigator.Controller);
  if ( B != None && B.Skill > 2 + 5 * FRand() && FRand() < 0.6 && B.Target == B.Enemy
      && VSize(B.Enemy.Location - B.Pawn.Location) > 2000 + 2000 * FRand()
      && Level.TimeSeconds - B.LastSeenTime < 0.4 && Level.TimeSeconds - B.AcquireTime > 1.5 ) {
    RocketLauncher(Weapon).bLockedOn = true;
    RocketLauncher(Weapon).SeekTarget = B.Enemy;
  }
  
  if ( RocketLauncher(Weapon).bLockedOn && RocketLauncher(Weapon).SeekTarget != None ) {
    p = Spawn(class'TStatsSeekingRocketProj',,, Start, Dir);
    TStatsSeekingRocketProj(p).Seeking = RocketLauncher(Weapon).SeekTarget;
    if ( B != None ) {
      //log("LOCKED");
      RocketLauncher(Weapon).bLockedOn = false;
      RocketLauncher(Weapon).SeekTarget = None;
    }
  }
  else {
    p = Spawn(class'TStatsRocketProj',,, Start, Dir);
  }
  if ( p != None ) {
    p.Damage *= DamageAtten;
    p.GroupID = -1;
  }
  return p;
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  ProjectileClass=class'TStatsRocketProj'
}
