//=============================================================================
// TStatsShieldFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsShieldFire extends ShieldFire;


//=============================================================================
// DoFireEffect
//
// Track weapon stats.
//=============================================================================

function DoFireEffect()
{
  local Vector HitLocation, HitNormal, StartTrace, EndTrace, X,Y,Z;
  local Rotator Aim;
  local Actor Other;
  local float Scale, Damage, Force;
  local bool bSelfHit;
  
  Instigator.MakeNoise(1.0);
  Weapon.GetViewAxes(X,Y,Z);
  bAutoRelease = false;
  
  if ( AutoHitPawn != None && Level.TimeSeconds - AutoHitTime < 0.15 ) {
    Other = AutoHitPawn;
    HitLocation = Other.Location;
    AutoHitPawn = None;
  }
  else {
    StartTrace = Instigator.Location;
    Aim = AdjustAim(StartTrace, AimError);
    EndTrace = StartTrace + ShieldRange * Vector(Aim); 
    Other = Trace(HitLocation, HitNormal, EndTrace, StartTrace, true);
  }
  
  Scale = (FClamp(HoldTime, MinHoldTime, FullyChargedTime) - MinHoldTime) / (FullyChargedTime - MinHoldTime);
  Damage = MinDamage + Scale * (MaxDamage - MinDamage);
  Force = MinForce + Scale * (MaxForce - MinForce);
  
  Instigator.AmbientSound = None;
  
  if ( ChargingEmitter != None )
    ChargingEmitter.mRegenPause = true;
  
  if ( Other != None && Other != Instigator ) {
    if ( Pawn(Other) != None ) {
      if ( Pawn(Other).Controller != None && Pawn(Other).Controller.bIsPlayer )
        class'TournamentWeaponStats'.static.IncrementHits(Instigator.Controller, class'ShieldGun', 0, -1);
      if ( TournamentPawn(Other) != None )
        TournamentPawn(Other).NextDamageMode = 0;
      Other.TakeDamage(Damage, Instigator, HitLocation, Force * (X + vect(0,0,0.5)), DamageType);
    }
    else {
      if ( xPawn(Instigator).bBerserk )
        Force *= 2.0;
      bSelfHit = true;
      class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, class'ShieldGun', 1);
      class'TournamentWeaponStats'.static.IncrementHits(Instigator.Controller, class'ShieldGun', 1, -1);
      if ( TournamentPawn(Instigator) != None )
        TournamentPawn(Instigator).NextDamageMode = 1;
      Instigator.TakeDamage(SelfDamageScale * Damage, Instigator, HitLocation, -SelfForceScale * Force * X, DamageType);
    }
  }
  
  if ( !bSelfHit )
    class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, class'ShieldGun', 0);
  
  SetTimer(0, false);
}
