//=============================================================================
// TStatsSuperShockBeamFire
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Tracks weapon stats.
//=============================================================================


class TStatsSuperShockBeamFire extends SuperShockBeamFire;


//=============================================================================
// Variables
//=============================================================================

var int GroupID;


//=============================================================================
// DoTrace
//
// Track weapon stats.
//=============================================================================

function DoTrace(vector Start, rotator Dir)
{
  GroupID = class'TournamentWeaponStats'.static.IncrementShots(Instigator.Controller, Weapon.Class, 0);
  Super.DoTrace(Start, Dir);
}


//=============================================================================
// TracePart
//
// Track weapon stats.
//=============================================================================

function TracePart(vector Start, vector End, vector X, rotator Dir, Pawn Ignored)
{
  local vector HitLocation, HitNormal;
  local Actor Other;
  
  Other = Ignored.Trace(HitLocation, HitNormal, End, Start, true);
  
  if ( Other != None && Other != Ignored ) {
    if ( !Other.bWorldGeometry ) {
      if ( Pawn(Other) != None && Pawn(Other).Controller != None && Pawn(Other).Controller.bIsPlayer )
        class'TournamentWeaponStats'.static.IncrementHits(Instigator.Controller, Weapon.Class, 0, GroupID);
      if ( TournamentPawn(Other) != None )
        TournamentPawn(Other).NextDamageMode = 0;
      Other.TakeDamage(DamageMax, Instigator, HitLocation, Momentum * X, DamageType);
      HitNormal = vect(0,0,0);
      if ( Pawn(Other) != None && HitLocation != Start && AllowMultiHit() )
        TracePart(HitLocation, End, X, Dir, Pawn(Other));
    }
  }
  else {
    HitLocation = End;
    HitNormal = vect(0,0,0);
  }
  SpawnBeamEffect(Start, Dir, HitLocation, HitNormal, 0);
}


//=============================================================================
// SpawnBeamEffect
//
// Spawn a beam effect in the correct color.
//=============================================================================

function SpawnBeamEffect(vector Start, rotator Dir, vector HitLocation, vector HitNormal, int ReflectNum)
{
  local ShockBeamEffect Beam;
  
  if ( TournamentPawn(Instigator) != None )
    Beam = Spawn(class'TStatsSuperShockBeam', Instigator,, Start, Dir);
  else if ( Instigator.PlayerReplicationInfo.Team != None && Instigator.PlayerReplicationInfo.Team.TeamIndex == 1 )
    Beam = Spawn(class'BlueSuperShockBeam',,, Start, Dir);
  else
    Beam = Spawn(BeamEffectClass,,, Start, Dir);
  
  if ( ReflectNum != 0 )
    Beam.Instigator = None;
  Beam.AimAt(HitLocation, HitNormal);
}
