//=============================================================================
// TournamentClientSettings
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Global clientside settings for all Tournament gametypes.
//=============================================================================


class TournamentClientSettings extends Info
    abstract
    config(User);


//=============================================================================
// Configuration
//=============================================================================

var config bool  bUsePlayerLights;
var config bool  bInstantDeRes;
var config bool  bRisingDeRes;
var config bool  bTeamDeRes;
var config int   HitSound;
var config float HitSoundVolume;
var config bool  bVariableHitSounds;
var config bool  bHideSpectatorBeacons;

var config int EnemySkinColor, EnemyEffectsColor;
var config int TeamSkinColor, TeamEffectsColor;

var config bool   bAutoScreenshot;      // automatic scoreboard screenshot at the end of a match
var config bool   bAutoDemoRecording;   // automatic client demo recording
var config string AutoDemoName;         // file name for automatically recorded demos
var config int    AutoDemoSplitLength;  // auto-demos are split after approximately this amount of time


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  bUsePlayerLights=True
  bInstantDeRes=False
  bRisingDeRes=True
  bTeamDeRes=False
  HitSound=0
  HitSoundVolume=1.0
  bVariableHitSounds=True
  bHideSpectatorBeacons=False
  
  EnemySkinColor=0
  EnemyEffectsColor=0
  TeamSkinColor=0
  TeamEffectsColor=0
  
  bAutoScreenshot=False
  bAutoDemoRecording=False
  AutoDemoName=""
  AutoDemoSplitLength=0
}