//=============================================================================
// TournamentGameRules
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Base GameRules for Tournament games. (Added by the TournamentMutator)
//=============================================================================


class TournamentGameRules extends GameRules;


//=============================================================================
// OverridePickupQuery
//
// Prevent tossed weapons from being picked up by the same pawn until they
// dropped on the ground.
//=============================================================================

function bool OverridePickupQuery(Pawn Other, Pickup Item, out byte bAllowPickup)
{
  if ( Other != None && Item != None && Item.Physics == PHYS_Falling
      && Item.Velocity dot (Item.Location - Other.Location) > 0 ) {
    bAllowPickup = 0;
    return True;
  }
  else {
    return Super.OverridePickupQuery(Other, Item, bAllowPickup);
  }
}


//=============================================================================
// ScoreKill
//
// Update suicide counter.
//=============================================================================

function ScoreKill(Controller Killer, Controller Killed)
{
  if ( Killed != None && TournamentPlayerReplicationInfo(Killed.PlayerReplicationInfo) != None
      && (Killer == Killed || Killer == None) )
    TournamentPlayerReplicationInfo(Killed.PlayerReplicationInfo).SuicideCount++;
  
  Super.ScoreKill(Killer, Killed);
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  bGameRelevant=True  // prevent Accessed None in Actor.PreBeginPlay(). (No base mutator yet!) 
}