//=============================================================================
// TournamentServerSettings
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Global serverside settings for all Tournament gametypes.
//=============================================================================


class TournamentServerSettings extends Info
    abstract
    config;


//=============================================================================
// Configuration
//=============================================================================

var config bool   bAllowVariableHitSounds;
var config bool   bAllowHitSounds;
var config bool   bBroadcastUDamageKills;
var config bool   bNoHudClock;
var config bool   bAllowCarrierTelefrags;
var config bool   bWeaponModifications;
var config int    MinNameLength;
var config bool   bEnableNickFiltering;
var config int    WarmupTime;
var config bool   bWarmupWeapons;
var config bool   bWarmupAmmo;
var config bool   bWarmupHealth;
var config bool   bWarmupShield;
var config bool   bAutoServerDemo;      // automatically record demos on a dedicated server
var config string ServerDemoName;       // file name for server demos
var config bool   bAllowComboBerserk;
var config bool   bAllowComboBooster;
var config bool   bAllowComboInvisible;
var config bool   bAllowComboSpeed;
var config int    MaxFOV;
var config byte   SkinGlow;
var config bool   bDisableLockdown;


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  bAllowVariableHitSounds=True
  bAllowHitSounds=True
  bBroadcastUDamageKills=True
  bNoHudClock=False
  bAllowCarrierTelefrags=True
  bWeaponModifications=True
  MinNameLength=2
  bEnableNickFiltering=True
  WarmupTime=120
  bWarmupWeapons=True
  bWarmupAmmo=True
  bWarmupShield=True
  bWarmupHealth=True
  bAutoServerDemo=False
  ServerDemoName=""
  bAllowComboBerserk=True
  bAllowComboBooster=True
  bAllowComboInvisible=True
  bAllowComboSpeed=True
  MaxFOV=135
  SkinGlow=40
  bDisableLockdown=True
}