//=============================================================================
// TournamentStartupMessage
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Startup messages for Tournament games.
//=============================================================================


class TournamentStartupMessage extends StartupMessage;


//=============================================================================
// GetString
//
// Returns the startup message string..
//=============================================================================

static function string GetString(
  optional int Switch,
  optional PlayerReplicationInfo RelatedPRI_1, 
  optional PlayerReplicationInfo RelatedPRI_2,
  optional Object OptionalObject
  )
{
  if ( RelatedPRI_1 != None && RelatedPRI_1.Level.NetMode == NM_Standalone ) {
    if ( Switch < 2 )
      return Default.SinglePlayer;
  }
  else if ( Switch == 1 ) {
    if ( RelatedPRI_1 == None || RelatedPRI_1.bOnlySpectator )
      return Default.Stage[0];
    else if ( RelatedPRI_1.bReadyToPlay )
      return Default.Stage[1];
    else
      return Default.NotReady;
  }
  return Default.Stage[Switch];
}


//=============================================================================
// Default Properties
//=============================================================================

defaultproperties
{
  NotReady="Waiting for ready signals. You are NOT READY."
}