//=============================================================================
// TournamentWeaponMutator
// Copyright 2003-2004 by Wormbo <wormbo@onlinehome.de>
//
// Optional weapon mutator for Tournament gametypes.
//=============================================================================


class TournamentWeaponMutator extends Mutator;


//=============================================================================
// CheckReplacement
//
// Make sure the correct PRI is used, change KILLZ_None to KILLZ_Suicide and
// maybe modify weapons.
//=============================================================================

function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
  if ( TStatsShieldGun(Other) != None ) {
    TStatsShieldGun(Other).ProtectionAngle = -0.17; // increase shield angle to about 80 from center
    TStatsShieldGun(Other).MaxAbsorption = 200;     // so shield can completely absorb headshots
  }
  else if ( TStatsAssaultRifle(Other) != None )
    TStatsAssaultRifle(Other).bModifiedFiringModes = True;
  else if ( GrenadeAmmo(Other) != None )
    GrenadeAmmo(Other).InitialAmount = 2;
  else if ( BioChargedFire(Other) != None )
    BioChargedFire(Other).ProjectileClass = class'TStatsChargedBioGlob';
  else if ( TStatsBioChargedFire(Other) != None ) {
    TStatsBioChargedFire(Other).MaxGoopLoad = 8;
    TStatsBioChargedFire(Other).bHoldLoadSound = true;
  }
  else if ( TStatsFlakShell(Other) != None )
    TStatsFlakShell(Other).ChunkSpread = 1500;  // chunks are always released in flak shell direction
  
  return Super.CheckReplacement(Other, bSuperRelevant);
}


//=============================================================================
// Default properties
//=============================================================================

defaultproperties
{
  FriendlyName="Tournament Weapon Modifications"
  Description="Modifies the weapons so players can't rely on spam and/or luck. This works correctly only in Tournament gametypes."
  GroupName="TWM"   // heh, same abbreviation as The Weapon Mutator ;)
}